Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223889 - buffer overflow detected in mifare-tool
Summary: buffer overflow detected in mifare-tool
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: librfid
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: kushaldas@gmail.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-22 22:12 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.1.0-3.1996svn
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-12 17:28:40 UTC


Attachments (Terms of Use)

Description Till Maas 2007-01-22 22:12:22 UTC
Description of problem:
When I start mifare-tool with no reader attached it terminates immediatly
writing that a buffer overflow was detected.


Version-Release number of selected component (if applicable):
0.1.0-2

How reproducible:
always

Steps to Reproduce:
1. $ mifare-tool
  
Actual results:
*** buffer overflow detected ***: mifare-tool terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x477ec361]
mifare-tool[0x8048be4]
/lib/libc.so.6(__libc_start_main+0xdc)[0x47720f2c]
mifare-tool[0x80489f1]
======= Memory map: ========
00148000-0014f000 r-xp 00000000 08:06 1217378    /usr/lib/librfid.so.0.0.0
0014f000-00150000 rwxp 00007000 08:06 1217378    /usr/lib/librfid.so.0.0.0
00ae9000-00aea000 r-xp 00ae9000 00:00 0          [vdso]
08048000-0804a000 r-xp 00000000 08:06 1213443    /usr/bin/mifare-tool
0804a000-0804b000 rwxp 00002000 08:06 1213443    /usr/bin/mifare-tool
08c53000-08c74000 rwxp 08c53000 00:00 0 
476ee000-47707000 r-xp 00000000 08:06 2488382    /lib/ld-2.5.so
47707000-47708000 r-xp 00018000 08:06 2488382    /lib/ld-2.5.so
47708000-47709000 rwxp 00019000 08:06 2488382    /lib/ld-2.5.so
4770b000-47842000 r-xp 00000000 08:06 2488383    /lib/libc-2.5.so
47842000-47844000 r-xp 00137000 08:06 2488383    /lib/libc-2.5.so
47844000-47845000 rwxp 00139000 08:06 2488383    /lib/libc-2.5.so
47845000-47848000 rwxp 47845000 00:00 0 
47ac9000-47ad4000 r-xp 00000000 08:06 2293531    /lib/libgcc_s-4.1.1-20070105.so.1
47ad4000-47ad5000 rwxp 0000a000 08:06 2293531    /lib/libgcc_s-4.1.1-20070105.so.1
47d4c000-47d52000 r-xp 00000000 08:06 1225396    /usr/lib/libusb-0.1.so.4.4.4
47d52000-47d54000 rwxp 00006000 08:06 1225396    /usr/lib/libusb-0.1.so.4.4.4
b7fe0000-b7fe1000 rw-p b7fe0000 00:00 0 
b7ff8000-b7ff9000 rw-p b7ff8000 00:00 0 
bff25000-bff3b000 rw-p bff25000 00:00 0          [stack]

Expected results:
The errors above should not appear.

Comment 1 kushaldas@gmail.com 2007-01-23 15:32:06 UTC
I am not getting the above error.
Can you please give me  some more info ?


Comment 2 Till Maas 2007-01-23 15:50:05 UTC
What info do you need? It happens on both my desktop (AMD Sempron) and notebook
(Centrino), both i386 and running FC6. I installed it with yum install librfid
and when I run mifare-tool with no reader attached above error occurs. Don't
know whether or not it works with a attached reader since I don't have one
available atm.

Comment 3 kushaldas@gmail.com 2007-01-23 16:55:38 UTC
But no errors coming in my Core Duo lappy in i386. Will ask other people also

Comment 4 Till Maas 2007-01-23 17:05:13 UTC
A Pentium III with FC6 shows the error, too.

Comment 5 kushaldas@gmail.com 2007-04-24 10:29:47 UTC
Got it.
Asking the developers to look into it ..

Comment 6 kushaldas@gmail.com 2007-05-05 05:53:09 UTC
Fixed in svn, will be in the nextrelease 


Note You need to log in before you can comment on or make changes to this bug.